new Vue({
  el: '#app',
  data: {
   	inspects:[
   		{key:"EXAM_DATE",name:'检查时间',value:"",unit:''},
   		{key:"BS_FPG",name:'空腹血糖',value:"",unit:'mmol/L'},
   		{key:"NO_BS_FPG",name:'餐后血糖',value:"",unit:'mmol/L'},
   		{key:"RANDOM_BLOOD_SUGAR",name:'随机血糖',value:"",unit:'mmol/L'},
   		{key:"BLOOD_FAT_TRIGLYCERIDE",name:'甘油三酯',value:"",unit:'mmol/L'},
   		{key:"BLOOD_FAT_TC",name:'总胆固醇',value:"",unit:'mmol/L'},
   		{key:"RENAL_FUNCTION_CREATININE",name:'血清肌酐',value:"",unit:'umol/L'},
   		{key:"RENAL_FUNCTION_BUN",name:'血尿素氮',value:"",unit:'mmol/L'},
   		{key:"GHB",name:'糖化血红蛋白',value:"",unit:'%'},
   		{key:"BLOOD_FAT_LDLC",name:'低密度脂蛋白',value:"",unit:'mmol/L'},
   		{key:"MICROALBUMINURIA",name:'尿微量白蛋白',value:"",unit:'μg/min'}
   	]
  },
  mounted: function() {
  	var vm = this
  	var Request = GetRequest();
  	recordAPI.getFollowupProjectData({id:Request["id"],followupProject:3}).then(function(res){
			if(res.status==200){
				var data = res.data;
				delete data["create_time"];delete data["followup_id"];delete data["followup_project"];delete data["id"];
				var allData = vm.inspects;
				for(var key in data){
					for(var j=0;j<allData.length;j++){
						if(allData[j].key == key){
							allData[j].value = data[key]
							break;
						}
					}
				}
			}
		})
  }
})